<?php
/* PHP comments look like C multi-line comments.

   George Hicks
   ordering .php

   This script handles information submitted by the ordering.html
   page.
*/
/* Create the header, the next few lines are boilerplate that just
   define a current HTML page */
header("Content-Type:  text/html; charset=ISO-8859-4");
header("Expires: Thu, 1 Jan 1970 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

/* The next three lines prevent the page from caching, so that
   nobody can go back and change form information without our
   say so. */
header("Cache-Control: no-store, no-cache, must revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

/* Add a title, a newline at the end never hurts. */
echo("<title>George's Business - Ordering</title>\n");

/* Echo the link for loading the stylesheet.  The line needs to
   appear in quotes, so any quotes in the line need to be
   escaped.  For clarity of reading the source that appears at
   the browser (if you need to debug) it is also nice to
   add a newline to the end. */
echo("<link rel=\"StyleSheet\" type=\"text/css\" href=\"business.css\">\n");

/* Close off the headers and add the body tag */
echo("</head>\n<body>\n");

/* Add the default content from the other pages to ensure consistency. */
echo("<h2>George's Business - Ordering</h2>\n");
echo("<br>\n");
echo("<br>\n");
echo("<p>\"We do it right or we do it again.\"</p>\n");
echo("<br>\n");
echo("<hr>\n");
echo("<div>&nbsp;<a href=\"index.html\">Home</a> | <a href=\"products.html\">Products</a> | <a href=\"pricing.html\">Pricing</a> | Ordering | <a href=\"contact.html\">Contact Us</a> | <a href=\"president.html\">About the President</a><br></div>\n");
echo("<hr>\n");
echo("<br>\n");
echo("<br>\n");

/* Now retrieve the information sent in the form and nicely echo it to
   the screen along with a calculation of the total cost based on
   whatever was selected for purchase. */
/* First get the Name, this will be in the $_GET dictionary under 
   'name' (the name property of the input tag).  We can use the
   function isset to see if the data was supplied (ie the Name field
   was filled in).  If it is not set, we will want to re-echo the
   old page with a note to fill in the missing field, for now, we
   can just set a flag to let us know to re-echo */
$recho = 0;  /* This flag lets us know if we have to re-echo the page */
if (isset($_GET["name"]) && strcmp($_GET["name"], "") != 0)
{
  $name = $_GET["name"];
}
else
{
  /* No name, set $name to 're-echo' and set $recho flag to 1 */
  $name = 're-echo';
  $recho = 1;
}
/* Now get the address...same thing here, if it is not set, set the
   echo flag and set address1 to re-echo.  Only caveat here is that
   if address2 is not set, you can set it to an empty string. */
if (isset($_GET["address1"]) && strcmp($_GET["address1"], "") != 0)
{
  $address1 = $_GET["address1"];
  /* Grab $address2, you do not need to check if it is an empty string
     because it might be anyway, and that is fine. */
  $address2 = $_GET["address2"];
}
else
{
  /* The first address field is missing so set $address to 're-echo'
     and set the echo flag. */
  $address1 = 're-echo';
  $address2 = "";
  $recho = 1;
}
/* Now get the City, same sort of approach. */
if (isset($_GET["city"]) && strcmp($_GET["city"], "") != 0)
{
  $city = $_GET["city"];
}
else
{
  /* No city */
  $city = 're-echo';
  $recho = 1;
}
/* Country */
if (isset($_GET["country"]) && strcmp($_GET["country"], "") != 0)
{
  $country = $_GET["country"];
}
else
{
  /* No country */
  $country = 're-echo';
  $recho = 1;
}
/* Postal code */
if (isset($_GET["pcode"]) && strcmp($_GET["pcode"], "") != 0)
{
  $pcode = $_GET["pcode"];
}
else
{
  /* No postal code */
  $pcode = 're-echo';
  $recho = 1;
}
/* Product */
if (isset($_GET["product"]) && strcmp($_GET["product"], "") != 0)
{
  $product = $_GET["product"];
}
else
{
  /* No product */
  $product = 're-echo';
  $recho = 1;
}
/* Quantity */
if (isset($_GET["quantity"]) && strcmp($_GET["quantity"], "") != 0)
{
  $quantity = $_GET["quantity"];
}
else
{
  $quantity = 're-echo';
  $recho = 1;
}

/* Check if we need to re-echo the page.  If we do, then re-echo with
   a message saying to fill in missing fields, but if not, then
   echo then calculate the cost and echo the input to the screen. */
if ($recho == 1)
{
  /* We need to re-echo the page.  We will need to add the table in and
     the form.  Any field which is set to 're-echo' should have an
     asterix by the form and at the top above the table, we should put
     a message "* Fill in missing field(s)".  Any fields which are already
     input should have their value set to whatever was provided. */
  echo("<div><p>* Fill in missing field(s)</p></div><br>\n");
  echo("<form action=\"ordering.php\" method=GET>\n");
  echo("<table>\n");
  echo("  <tr>\n");
  echo("    <td>Name: </td>\n");
  if (strcmp($name, "re-echo") == 0)
  {
    echo("    <td>* <input type='text' name='name' size=50 maxlength=250></td>\n");
  }
  else
  {
    echo("    <td><input type='text' name='name' size=50 maxlength=250 value='$name'></td>\n");
  }
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td rowspan=2>Address: </td>\n");
  if (strcmp($address1, "re-echo") == 0)
  {
    echo("    <td>* <input type='text' name='address1' size=50 maxlength=250></td>\n");
  }
  else
  {
    echo("    <td><input type='text' name='address1' size=50 maxlength=250 value='$address1'></td>\n");
  }
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td><input type='text' name='address2' size=50 maxlength=250 value='$address2'></td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>City: </td>\n");
  if (strcmp($city, "re-echo") == 0)
  {
    echo("    <td>* <input type='text' name='city' size=50 maxlength=250></td>\n");
  }
  else
  {
    echo("    <td><input type='text' name='city' size=50 maxlength=250 value='$city'></td>\n");
  }
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>Country: </td>\n");
  if (strcmp($country, "re-echo") == 0)
  {
    echo("    <td>*\n");
  }
  else
  {
    echo("    <td>\n");
  }
  echo("      <select name='country'>\n");
  if (strcmp($country, "Canada") == 0)
  {
    echo("        <option value='Canada' selected>Canada\n");
  }
  else
  {
    echo("        <option value='Canada'>Canada\n");
  }
  if (strcmp($country, "USA") == 0)
  {
    echo("        <option value='USA' selected>USA\n");
  }
  else
  {
    echo("        <option value='USA'>USA\n");
  }
  if (strcmp($country, "France") == 0)
  {
    echo("        <option value='France' selected>France\n");
  }
  else
  {
    echo("        <option value='France'>France\n");
  }
  if (strcmp($country, "Paraguay") == 0)
  {
    echo("        <option value='Paraguay' selected>Paraguay\n");
  }
  else
  {
    echo("        <option value='Paraguay'>Paraguay\n");
  }
  echo("      </select>\n");
  echo("    </td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>Postal Code: </td>\n");
  if (strcmp($pcode, "re-echo") == 0)
  {
    echo("    <td>* <input type='text' name='pcode' size=10 maxlength=20></td>\n");
  }
  else
  {
    echo("    <td><input type='text' name='pcode' size=10 maxlength=20 value='$pcode'></td>\n");
  }
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td colspan=2>&nbsp;</td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td colspan=2>&nbsp;</td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>Item: </td>\n");
  if (strcmp($product, "re-echo") == 0)
  {
    echo("    <td>*\n");
  }
  else
  {
    echo("    <td>\n");
  }
  echo("      <select name='product'>\n");
  if (strcmp($product, "hydrospanner") == 0)
  {
    echo("        <option value='hydrospanner' selected>Hydrospanner\n");
  }
  else
  {
    echo("        <option value='hydrospanner'>Hydrospanner\n");
  }
  if (strcmp($product, "fluxcapacitor") == 0)
  {
    echo("        <option value='fluxcapacitor' selected>Flux Capacitor\n");
  }
  else
  {
    echo("        <option value='fluxcapacitor'>Flux Capacitor\n");
  }
  if (strcmp($product, "temporalregurgitator") == 0)
  {
    echo("        <option value='temporalregurgitator' selected>Temporal Regurgitator\n");
  }
  else
  {
    echo("        <option value='temporalregurgitator'>Temporal Regurgitator\n");
  }
  echo("      </select>\n");
  echo("    </td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>Quantity: </td>");
  if (strcmp($quantity, "re-echo") == 0)
  {
    echo("    <td>* <input type='text' name='quantity' size=5></td>\n");
  }
  else
  {
    echo("    <td><input type='text' name='quantity' size=5 value='$quantity'></td>\n");
  }
  echo("  </tr>\n");
  echo("</table>\n");
  echo("<div><input type='Submit' value='Send Order'></div>\n");
  echo("</form>\n");
}
else
{
  echo("<h2>Shipping Address</h2>\n");
  echo("$name<br>\n$address1<br>\n");
  if (strcmp($address2, "") != 0) { echo("$address2<br>\n"); }
  echo("$city, $country<br>\n");
  echo("$pcode<br>\n");
  echo("<h2>Order</h2>\n");
  echo("$quantity x ");
  if (strcmp($product, "hydrospanner") == 0)
  {
    echo("Hydrospanner");
    $cost = $quantity * 1922.95;
  }
  if (strcmp($product, "fluxcapacitor") == 0)
  {
    echo("Flux Capacitor");
    $cost = $quantity * 58.75;
  }
  if (strcmp($product, "temporalregurgitator") == 0)
  {
    echo("Temporal Regurgitator");
    $cost = $quantity * 5286322.0;
  }
  echo("&nbsp; &nbsp; \$$cost\n");
  echo("<br><br>\n");
  echo("<a href='ordering.html'>Change your order</a>\n");
}

/* Close up the body. */
echo("</body>\n</html>\n");

?>
